<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>Framework: CvtColor.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Framework
   </div>
   <div id="projectbrief">Framework drone</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('_cvt_color_8h_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Properties</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">CvtColor.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_cvt_color_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;</div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="preprocessor">#ifndef CVTCOLOR_H</span></div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="preprocessor">#define CVTCOLOR_H</span></div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;</div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_i_o_device_8h.html">IODevice.h</a>&gt;</span></div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;</div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="keyword">namespace </span>framework</div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;{</div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;    <span class="keyword">namespace </span>core</div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;    {</div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;        <span class="keyword">class </span>cvimage;</div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;    }</div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;}</div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;</div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="keyword">namespace </span>framework</div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;{</div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="keyword">namespace </span>filter</div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;{</div>
<div class="line"><a name="l00033"></a><span class="lineno"><a class="line" href="classframework_1_1filter_1_1_cvt_color.html">   33</a></span>&#160;    <span class="keyword">class </span><a class="code" href="classframework_1_1filter_1_1_cvt_color.html">CvtColor</a> : <span class="keyword">public</span> <a class="code" href="classframework_1_1core_1_1_i_o_device.html">core::IODevice</a></div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;    {</div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;        <span class="keyword">public</span>:</div>
<div class="line"><a name="l00040"></a><span class="lineno"><a class="line" href="classframework_1_1filter_1_1_cvt_color.html#a380b8c490377265e5cd342c9307f6441">   40</a></span>&#160;            <span class="keyword">enum class</span> <a class="code" href="classframework_1_1filter_1_1_cvt_color.html#a380b8c490377265e5cd342c9307f6441">Conversion_t</a> {</div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;                <a class="code" href="classframework_1_1filter_1_1_cvt_color.html#a380b8c490377265e5cd342c9307f6441a2ad5640ebdec72fc79531d1778c6c2dc">BGR</a>,</div>
<div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;                <a class="code" href="classframework_1_1filter_1_1_cvt_color.html#a380b8c490377265e5cd342c9307f6441a48bf014c704c9eaae100a98006a37bf7">GRAY</a>,</div>
<div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;                } ;</div>
<div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;</div>
<div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;            <a class="code" href="classframework_1_1filter_1_1_cvt_color.html#a822b1378629697f79281ec5ccc36092a">CvtColor</a>(<span class="keyword">const</span> <a class="code" href="classframework_1_1core_1_1_i_o_device.html">core::IODevice</a>* parent,std::string name,<a class="code" href="classframework_1_1filter_1_1_cvt_color.html#a380b8c490377265e5cd342c9307f6441">Conversion_t</a> conversion);</div>
<div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;</div>
<div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;            <a class="code" href="classframework_1_1filter_1_1_cvt_color.html#abd63fec1b84d36c580db7b0a682daecd">~CvtColor</a>();</div>
<div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;</div>
<div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;            <a class="code" href="classframework_1_1core_1_1cvimage.html">core::cvimage</a>* <a class="code" href="classframework_1_1filter_1_1_cvt_color.html#af4de218ce7b4f8e55fff35b41583fd50">Output</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;</div>
<div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;            <a class="code" href="classframework_1_1core_1_1_data_type.html">core::DataType</a> <span class="keyword">const</span> &amp;GetOutputDataType() <span class="keyword">const</span>;</div>
<div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;</div>
<div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;        <span class="keyword">private</span>:</div>
<div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;            <span class="keywordtype">void</span> UpdateFrom(<span class="keyword">const</span> <a class="code" href="classframework_1_1core_1_1io__data.html">core::io_data</a> *data);</div>
<div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;</div>
<div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;            <a class="code" href="classframework_1_1core_1_1cvimage.html">core::cvimage</a> *output;</div>
<div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;            <a class="code" href="classframework_1_1filter_1_1_cvt_color.html#a380b8c490377265e5cd342c9307f6441">Conversion_t</a> conversion;</div>
<div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;    };</div>
<div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;} <span class="comment">// end namespace filter</span></div>
<div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;} <span class="comment">// end namespace framework</span></div>
<div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;<span class="preprocessor">#endif // CVTCOLOR_H</span></div>
<div class="ttc" id="classframework_1_1filter_1_1_cvt_color_html_a380b8c490377265e5cd342c9307f6441a2ad5640ebdec72fc79531d1778c6c2dc"><div class="ttname"><a href="classframework_1_1filter_1_1_cvt_color.html#a380b8c490377265e5cd342c9307f6441a2ad5640ebdec72fc79531d1778c6c2dc">framework::filter::CvtColor::Conversion_t::BGR</a></div></div>
<div class="ttc" id="classframework_1_1core_1_1io__data_html"><div class="ttname"><a href="classframework_1_1core_1_1io__data.html">framework::core::io_data</a></div><div class="ttdoc">Abstract class for data types. </div><div class="ttdef"><b>Definition:</b> io_data.h:69</div></div>
<div class="ttc" id="classframework_1_1filter_1_1_cvt_color_html_a822b1378629697f79281ec5ccc36092a"><div class="ttname"><a href="classframework_1_1filter_1_1_cvt_color.html#a822b1378629697f79281ec5ccc36092a">framework::filter::CvtColor::CvtColor</a></div><div class="ttdeci">CvtColor(const core::IODevice *parent, std::string name, Conversion_t conversion)</div><div class="ttdoc">Constructor. </div></div>
<div class="ttc" id="classframework_1_1filter_1_1_cvt_color_html_abd63fec1b84d36c580db7b0a682daecd"><div class="ttname"><a href="classframework_1_1filter_1_1_cvt_color.html#abd63fec1b84d36c580db7b0a682daecd">framework::filter::CvtColor::~CvtColor</a></div><div class="ttdeci">~CvtColor()</div><div class="ttdoc">Destructor. </div></div>
<div class="ttc" id="classframework_1_1core_1_1cvimage_html"><div class="ttname"><a href="classframework_1_1core_1_1cvimage.html">framework::core::cvimage</a></div><div class="ttdoc">Class defining an image of kind IplImage. </div><div class="ttdef"><b>Definition:</b> cvimage.h:27</div></div>
<div class="ttc" id="classframework_1_1core_1_1_i_o_device_html"><div class="ttname"><a href="classframework_1_1core_1_1_i_o_device.html">framework::core::IODevice</a></div><div class="ttdoc">Abstract class for input/ouput system. </div><div class="ttdef"><b>Definition:</b> IODevice.h:35</div></div>
<div class="ttc" id="_i_o_device_8h_html"><div class="ttname"><a href="_i_o_device_8h.html">IODevice.h</a></div><div class="ttdoc">Abstract class for input/ouput system. </div></div>
<div class="ttc" id="classframework_1_1core_1_1_data_type_html"><div class="ttname"><a href="classframework_1_1core_1_1_data_type.html">framework::core::DataType</a></div><div class="ttdef"><b>Definition:</b> io_data.h:21</div></div>
<div class="ttc" id="classframework_1_1filter_1_1_cvt_color_html"><div class="ttname"><a href="classframework_1_1filter_1_1_cvt_color.html">framework::filter::CvtColor</a></div><div class="ttdoc">Image color conversion. </div><div class="ttdef"><b>Definition:</b> CvtColor.h:33</div></div>
<div class="ttc" id="classframework_1_1filter_1_1_cvt_color_html_af4de218ce7b4f8e55fff35b41583fd50"><div class="ttname"><a href="classframework_1_1filter_1_1_cvt_color.html#af4de218ce7b4f8e55fff35b41583fd50">framework::filter::CvtColor::Output</a></div><div class="ttdeci">core::cvimage * Output(void)</div><div class="ttdoc">Output image. </div></div>
<div class="ttc" id="classframework_1_1filter_1_1_cvt_color_html_a380b8c490377265e5cd342c9307f6441"><div class="ttname"><a href="classframework_1_1filter_1_1_cvt_color.html#a380b8c490377265e5cd342c9307f6441">framework::filter::CvtColor::Conversion_t</a></div><div class="ttdeci">Conversion_t</div><div class="ttdoc">Conversion formats. </div><div class="ttdef"><b>Definition:</b> CvtColor.h:40</div></div>
<div class="ttc" id="classframework_1_1filter_1_1_cvt_color_html_a380b8c490377265e5cd342c9307f6441a48bf014c704c9eaae100a98006a37bf7"><div class="ttname"><a href="classframework_1_1filter_1_1_cvt_color.html#a380b8c490377265e5cd342c9307f6441a48bf014c704c9eaae100a98006a37bf7">framework::filter::CvtColor::Conversion_t::GRAY</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_d9f696bd07998dbcfc5b49e19dc5f66d.html">igep</a></li><li class="navelem"><a class="el" href="dir_7775cfc2302e50905e8c794823e78d65.html">uav_lib</a></li><li class="navelem"><a class="el" href="dir_3d8b3ef72b6bddf04a7da37c46c6171b.html">framework</a></li><li class="navelem"><a class="el" href="dir_fe46344826a09271daf0b94572bf98c3.html">Filter</a></li><li class="navelem"><a class="el" href="dir_2d63b318a579ad532ef11df207587c97.html">src</a></li><li class="navelem"><a class="el" href="_cvt_color_8h.html">CvtColor.h</a></li>
    <li class="footer">Generated on Tue Apr 12 2016 16:28:59 for Framework by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.7 </li>
  </ul>
</div>
</body>
</html>
